Subject: Status of the RFC Series Editor Transition project.

From: IAB Chair <[email-masked]>
Date: Mon, 14 Feb 2011 08:06:28 +0100

[apologies for the cross-post]

Colleagues,

This is to update you on the next steps of the RSE transition project.

As planned, the TRSE contract and Glenn Kowack's role as transitional RFC Series Editor wind up at the end of February.

It will be impossible to have hired a new RSE by then. So, we have worked out a plan to make sure most of the
pieces are in place so that the hiring process can start, preferably around the IETF in Prague.

Glenn has worked with the IAB to prioritize a number of tasks for the remainder of his engagement. In addition to continuing managerial oversight, he takes responsibility to:

1) Produce the Job Description and SOW

2) Document RSE experience gained during the project. The goal is
 to provide documentation for the next RSE to bridge the approaching gap.

3) Assist the process of developing the RFC of RFC Editor Model
 (Version 2). The focus will be on facilitating the ongoing process.

In parallel we have asked Joel Halpern to edit RFC5620bis. Both the job description and RFC5620bis are based on the consensus that has developed here and is documented in http://tools.ietf.org/html/draft-kolkman-rse-2011

Between the end of February and the time an RSE is appointed there will be a need for somebody to act as the 'point person' for escalation of issues that need cross-stream coordination or need escalation 'above' the production house. That
'point person' has a coordinating and mediating role and is not expected to be managing the day to day process
(that train runs). I have agreed with the IAB that I should temporarily take that role as a volunteer[*].

Glenn promised to remain available in a volunteering role (time and other commitments permitting). He will also be at the IETF80 in Prague so ongoing matters can be discussed face to face and past experiences can be shared.

Since the development of consensus around the RFC Editor is broader than the IETF the IAB has been using the [email-masked] for the development of consensus. RFC5620bis, the SOW, the Job description and all other relevant documents will be reviewed there. 

--Olaf Kolkman

[*] I plan to not volunteer for the IAB chair position, which should give me the necessary cycles.

________
The Internet Architecture Board
www.iab.org
[email-masked]